Author Topic: Code::Blocks and wxWidgets 3.2.5...  (Read 1327 times)

Offline Sephiroth

  • Multiple posting newcomer
  • *
  • Posts: 17
Code::Blocks and wxWidgets 3.2.5...
« on: May 30, 2024, 08:10:47 pm »
I could swear there was a thread on this in the past, but I couldn't find it. Anyway, I am trying to setup wxWidgets with Code::Blocks on my laptop. I downloaded both, installed CB, unzipped wx to C:\wxWidgets-3.2.5, built wx with shared, monolithic, and unicode. I defined the global "wx" variable in CB and set the include and lib paths as well as the base path. I have to select wxWidgets 3.1.x but when I get to the end it all errors out, telling me it cannot find debug or release builds. I did indeed build wxWidgets (C:\wxWidgets-3.2.5\build\msw) and it completed successfully, but I'm stumped now. What am I missing?

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7626
    • My Best Post
Re: Code::Blocks and wxWidgets 3.2.5...
« Reply #1 on: May 30, 2024, 08:17:21 pm »
Code::Blocks version? If 20.3 then, if I recall correctly, you need to edit the wizard.

Edit: Add link that should help.
https://github.com/PBfordev/wxpbguide

Tim S.
« Last Edit: May 30, 2024, 08:31:13 pm by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 64 bit.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline Sephiroth

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Code::Blocks and wxWidgets 3.2.5...
« Reply #2 on: May 30, 2024, 08:27:07 pm »
Yes, the latest stable, 20.03. Are there instructions or a guide for editing the wizard to add support for 3.2.x? I stick with CB because I can work in Windows or Linux on the same project using the same IDE. I also despise MSVS requiring an account to use now.

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7626
    • My Best Post
Re: Code::Blocks and wxWidgets 3.2.5...
« Reply #3 on: May 30, 2024, 08:32:07 pm »
Link that should help; I have never read or used these steps.

https://github.com/PBfordev/wxpbguide

Tim S.
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 64 bit.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline Sephiroth

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Code::Blocks and wxWidgets 3.2.5...
« Reply #4 on: May 30, 2024, 08:37:30 pm »
Thank you, I will start there.

Offline PB

  • Multiple posting newcomer
  • *
  • Posts: 60
Re: Code::Blocks and wxWidgets 3.2.5...
« Reply #5 on: May 30, 2024, 10:20:30 pm »
The updated wizard is in https://github.com/PBfordev/wxpbguide/tree/master/cb/wizard

The nightly builds of Code::Blocks ship with a wizard supporting wxWidgets 3.2.

My guide uses multilib build by default (as monolithic build is IMO not very useful) but should be used without issues with monolithic builds as well (the differences are noted where needed).
« Last Edit: May 30, 2024, 10:39:16 pm by PB »